org.aspectj.weaver.loadtime.definition

## Enum Definition.AdviceKind

- java.lang.Object
- - java.lang.Enum<Definition.AdviceKind>
  - - org.aspectj.weaver.loadtime.definition.Definition.AdviceKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Definition.AdviceKind>

Enclosing class:
  Definition

    public static enum Definition.AdviceKind
    extends java.lang.Enum<Definition.AdviceKind>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`After`
`AfterReturning`
`AfterThrowing`
`Around`
`Before`

### Method Summary

All Methods Static Methods Concrete Methods
`static Definition.AdviceKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Definition.AdviceKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Before

    public static final Definition.AdviceKind Before

#### After

    public static final Definition.AdviceKind After

#### AfterReturning

    public static final Definition.AdviceKind AfterReturning

#### AfterThrowing

    public static final Definition.AdviceKind AfterThrowing

#### Around

    public static final Definition.AdviceKind Around

### Method Detail

#### values

    public static Definition.AdviceKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Definition.AdviceKind c : Definition.AdviceKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Definition.AdviceKind valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null